[PATCH] ext4/026: skip test if kernel does not support the ea_inode feature

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Signed-off-by: Theodore Ts'o <tytso@xxxxxxx>
---
 tests/ext4/026 | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/tests/ext4/026 b/tests/ext4/026
index 94a737ce..ba77f36e 100755
--- a/tests/ext4/026
+++ b/tests/ext4/026
@@ -53,7 +53,8 @@ _require_attrs
 _require_ext4_mkfs_feature ea_inode
 
 _scratch_mkfs_ext4 -O ea_inode >/dev/null 2>&1
-_scratch_mount
+_scratch_mount >/dev/null 2>&1 \
+	|| _notrun "kernel doesn't support ea_inode feature on $FSTYP"
 
 # Sets an extended attribute on a file.
 attr_set()
-- 
2.11.0.rc0.7.gbe5a750




[Index of Archives]     [Reiser Filesystem Development]     [Ceph FS]     [Kernel Newbies]     [Security]     [Netfilter]     [Bugtraq]     [Linux FS]     [Yosemite National Park]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Samba]     [Device Mapper]     [Linux Media]

  Powered by Linux